> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shopping Session

> Get a shopping session by ID.



## OpenAPI

````yaml /openapi.json get /api/v1/shopping/sessions/{session_id}
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/shopping/sessions/{session_id}:
    get:
      tags:
        - Shopping
      summary: Get Shopping Session
      description: Get a shopping session by ID.
      operationId: get_shopping_session_api_v1_shopping_sessions__session_id__get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Session Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShoppingSessionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ShoppingSessionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        status:
          type: string
          title: Status
        merchant_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Merchant Type
        merchant_domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Merchant Domain
        cart_items:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Cart Items
          default: []
        budget_limit_cents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Budget Limit Cents
        total_cents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Cents
        currency:
          type: string
          title: Currency
          default: USD
        affiliate_links:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Affiliate Links
          default: []
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - user_id
        - status
        - created_at
      title: ShoppingSessionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````